
package com.tmerclub.cloud.api.user.vo;

import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;

/**
 * @author lhd
 */
public class MemberTrendRespVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "时间，格式例如：2020-07-21")
    private String currentDay;

    @Schema(description = "注册会员数量")
    private Integer memberNum;

    @Schema(description = "注册付费会员数量" )
    private Integer vipMemberNum;

    @Schema(description = "新增会员数" )
    private Integer newMember;

    public String getCurrentDay() {
        return currentDay;
    }

    public void setCurrentDay(String currentDay) {
        this.currentDay = currentDay;
    }

    public Integer getMemberNum() {
        return memberNum;
    }

    public void setMemberNum(Integer memberNum) {
        this.memberNum = memberNum;
    }

    public Integer getVipMemberNum() {
        return vipMemberNum;
    }

    public void setVipMemberNum(Integer vipMemberNum) {
        this.vipMemberNum = vipMemberNum;
    }

    public Integer getNewMember() {
        return newMember;
    }

    public void setNewMember(Integer newMember) {
        this.newMember = newMember;
    }

    @Override
    public String toString() {
        return "MemberTrendRespVO{" +
                "currentDay=" + currentDay +
                ", memberNum=" + memberNum +
                ", vipMemberNum=" + vipMemberNum +
                ", newMember=" + newMember +
                '}';
    }
}
